# Uses of Interface
org.opensaml.saml.saml1.core.AuthenticationStatement

Packages that use AuthenticationStatement
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.testing

## Uses of AuthenticationStatement in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type AuthenticationStatement
Modifier and Type
Method
Description
`List<AuthenticationStatement>`
Assertion.`getAuthenticationStatements()`
Return the List representing all the `AuthenticationStatement` sub elements.

## Uses of AuthenticationStatement in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AuthenticationStatement
Modifier and Type
Class
Description
`class`
`AuthenticationStatementImpl`
A Concrete implementation of the `AuthenticationStatement` Interface.
Methods in org.opensaml.saml.saml1.core.impl that return AuthenticationStatement
Modifier and Type
Method
Description
`AuthenticationStatement`
AuthenticationStatementBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthenticationStatement`
AuthenticationStatementBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type AuthenticationStatement
Modifier and Type
Method
Description
`List<AuthenticationStatement>`
AssertionImpl.`getAuthenticationStatements()`
Return the List representing all the `AuthenticationStatement` sub elements.

## Uses of AuthenticationStatement in org.opensaml.saml.saml1.testing

Methods in org.opensaml.saml.saml1.testing that return AuthenticationStatement
Modifier and Type
Method
Description
`static AuthenticationStatement`
SAML1ActionTestingSupport.`buildAuthenticationStatement()`
Builds an authentication statement.